;##################################################################
;
;   TesBwan for the TI-86 - variable allocations
;
;   Programmed by Patrick Davidson (pad@calc.org)
;        
;   This program is in the public domain.  There is no warranty.
;
;   This file was last updated August 22, 2002.
;
;##################################################################

MAP_WIDTH       =20

;############## Graphics variables
        
gs_page         =textShadow             ; 0/2 = plane 1, 4 = plane 2
gs_buffer       =textShadow+1           ; F0 = F000 / F400, F8 = F800 / FC00
gfx_buffer      =textShadow+2           ; graphics buffer (unused one)
num_cycles      =textShadow+4           ; # grayscale frames since last swap

;############## Other temporary variables

old_x           =textShadow+5
old_y           =textShadow+7
temp_x          =textShadow+9
temp_y          =textShadow+10
bricks_left     =textShadow+11
paused          =textShadow+12          ; nonzero if game paused
exit_status     =textShadow+13          ; 0=quit, 1=high/quit, 2=high
title_pos       =textShadow+14
